Subject: Re: [Gen-art] Gen-ART review of draft-ietf-i2rs-problem-statement-09

From: Alia Atlas <[email-masked]>
Date: Fri, 12 Feb 2016 12:13:47 -0500

Hi Russ,

Thanks for your review.

On Fri, Jan 29, 2016 at 11:17 AM, Russ Housley <[email-masked]> wrote:

> I am the assigned Gen-ART reviewer for this draft. The General Area
> Review Team (Gen-ART) reviews all IETF documents being processed
> by the IESG for the IETF Chair. Please wait for direction from your
> document shepherd or AD before posting a new version of the draft.
>
> For more information, please see the FAQ at
> <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.
>
> Document: draft-ietf-i2rs-problem-statement-09
> Reviewer: Russ Housley
> Review Date: 2016-01-29
> IETF LC End Date: 2016-02-10
> IESG Telechat date: unknown
>
> Thank you for handling the comments that I provided on -04.
>
> Summary: Ready.
>
> Major Concerns:
>
> There are several references to [I-D.ietf-i2rs-architecture].  The
> dependency on this document is pretty significant.  Please consider
> making this a normative reference.
>

Agreed and change made.

> Minor Concerns:
>
> Section 5 includes a requirement for multi-channel.  I would expect
> policy to dictate that some writes come from a specific source.  The
> document already covers authentication and authorization, but it is
> unclear to me whether I2RS can require that a particular write request
> arrive on a particular channel.  Is this desirable?  If so, please
> expand the discussion of authorization to cover this point.
>

I've added " One channel, with authorization and
          authentication, may be considered primary; only an
          authorized client can then request that information be
          delivered on a different channel.  Writes from a client are
          only expected on channels that provide authorization and
          authentication."

Nits:
>
> Sometimes you say "I2RS Agent" and other times you say "I2RS agent".
> Please pick one and use it consistently.
>
> Sometimes you say "I2RS Client" and other times you say "I2RS client".
> Please pick one and use it consistently.
>
> In Section 2: s/ define is a set of / define a set of /
>
> In Section 3: s/ values for parameters / parameter values  /
>
> In Section 4: s/ provide only the current / only provide the current /
>

Fixed - thanks!

Alia

---

From: Jari Arkko <[email-masked]>
Date: Thu, 18 Feb 2016 15:35:11 +0200

Thank you Russ & Alia!

Jari